#!/usr/bin/python
# -*- coding:utf-8 -*-

import gtk

class TitleBar(gtk.DrawingArea):
	def __init__(self,father):
		gtk.DrawingArea.__init__(self)

		self.begin_x=''
		self.begin_y=''
		self.end_x=''
		self.end_y=''
		self.motion=False
		
		self.father=father

		self.father_x,self.father_y=self.father.get_position()

		self.set_size_request(-1,80)
		self.connect('button-press-event',self.mouse_press)
		self.connect('button-release-event',self.mouse_release)
		self.connect('motion-notify-event',self.mouse_motion)
		self.connect('expose-event',self.draw_pixbuf)
		self.set_events( gtk.gdk.BUTTON_PRESS_MASK | gtk.gdk.BUTTON_RELEASE_MASK | gtk.gdk.POINTER_MOTION_MASK | gtk.gdk.POINTER_MOTION_HINT_MASK)

	def mouse_press(self,widget,event):
		if event.button == 1:
			if not self.motion:
				self.motion = True
				self.begin_x,self.begin_y = event.x,event.y
	def mouse_release(self,widget,event):
		self.motion = False
	def mouse_motion(self,widget,event):
		if self.motion :
			self.end_x,self.end_y = event.x,event.y
			x=self.father_x + int(self.end_x - self.begin_x)
			y=self.father_y + int(self.end_y - self.begin_y)
			self.father.move(int(x),int(y))
	def draw_pixbuf(self,widget,event):
		path = 'img/bg.jpg'
		rec=widget.get_allocation()
		width,height=rec.width,rec.height
		pixbuf = gtk.gdk.pixbuf_new_from_file_at_size(path,width,200)
		widget.window.draw_pixbuf(widget.style.bg_gc[gtk.STATE_NORMAL], pixbuf, 0, 0, 0,0)

class MainWindow(gtk.Window):
	def __init__(self):
		super(MainWindow,self).__init__()

		self.set_size_request(850,600)
		self.set_position(gtk.WIN_POS_CENTER)
		self.set_resizable(False)
		self.set_has_frame(False)
		self.set_decorated(False)
		
		self.vbox=gtk.VBox(False,0)

		self.titlebar=TitleBar(self)
		self.vbox.pack_start(self.titlebar,False,False,0)

		self.add(self.vbox)
		self.show_all()
		

if __name__ == "__main__" : 
	app=MainWindow()
	gtk.main()

